MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0016472Open CASCADE[OCCT] OCCT:Codingpublic2007-07-02 17:492016-04-20 15:50
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0016472: Improve environment scripts for samples
DescriptionCurrently OCCT installation works well only if option "Set OCCT environment" is
selected, because it assumes that CASROOT variable and whole environment is set
globally.

The environment setting scripts in OCCT samples can be improved so as to not
require CASROOT variable being defined globally, by using local and relative
paths.

Note that this assumes that improvement OCC16470 is adopted.

For instance, the attached file run.bat can be put into subdirectory samples/
standard/mfc and used to launch the sample (given as argument) from this
installation of OCCT (assuming that samples are installed in default location)
without any additional tuning.

The OCCT installer can use this script to define items added into Start menu
for launching samples, calling "run.bat <sample name.exe>"
Steps To ReproduceN/A
TagsNo tags attached.
Test case number
Attached Files? file icon run.bat (221 bytes) 2007-07-02 15:49
? file icon draw.bat (124 bytes) 2009-07-29 13:18
zip file icon batchScripts-20100421.zip (10,645 bytes) 2010-04-21 14:57

- Relationships
related to 0016470closedapv Improvements for env.bat scripts in OCCT installation 

-  Notes
(0047477)
git (administrator)
2015-10-27 12:53

Branch CR16472 has been created by ski.

SHA-1: ee5032721a0f3dc5ee79a651c2229f89e05802f2


Detailed log of new commits:

Author: ski
Date: Tue Oct 27 12:51:21 2015 +0300

    0016472: Improve environment scripts for samples
    
    Output directory for binaries of CSharp samples was corrected.
    Common run.bat was created for CSharp samples.
    Behaviour of run.bat file from mfc samples was extended.
(0047489)
ski (developer)
2015-10-27 15:07

Product branch CR16472 was created.
(0047492)
ski (developer)
2015-10-27 15:54

occt branch CR16472 and product branch CR16472 were created.

List of changes:

• genproj.bat files from qt samples (products and occt) were modified to add possibility to use them without any argument.
Both examples works:
genproj.bat (for using of default environment from OCCT/env.bat file)
genproj.bat vc10 win64 Release (for using with specific environment)

• Project files of CSharp samples were updated to use path win%ARCH%/%VCVER%/bin%CASDEB% as it is done in other samples (intead of win%ARCH%/bin%CASDEB%)

• For CSharp samples common run.bat file was created.
Possible names of samples: WinForms, WPF_D3D, WPF_WinForms
Both examples works:
run.bat WinForms (for using of default environment from OCCT/env.bat file)
run.bat vc10 win64 Release WinForms (for using with specific environment)

• For occt mfc samples:
Both examples works:
run.bat Ocaf (for using of default environment from OCCT/env.bat file)
run.bat vc10 win64 Release Ocaf (for using with specific environment)

Please, review.
(0049078)
abv (manager)
2015-12-14 10:49

Sergey, please recover separate bat files for each sample in CSharp -- it is very useful to be able to start sample by just running a bat file. These bat files do not need to have arguments, can just call main run.bat with appropriate argument.
(0049112)
git (administrator)
2015-12-14 17:26

Branch CR16472 has been updated forcibly by ski.

SHA-1: 4524cc8262de45144288edec2bcb49f7db1f41f6
(0049116)
ski (developer)
2015-12-14 17:38

Done.

Also, occt branch CR16472 and product branch CR16472 were rebased on current state of master.
(0049125)
abv (manager)
2015-12-14 22:29

No remarks, please test (note that only samples are affected)
(0052974)
git (administrator)
2016-04-17 13:54

Branch CR16472 has been deleted by kgv.

SHA-1: 4524cc8262de45144288edec2bcb49f7db1f41f6

- Related Changesets
occt: master f4264b5a
Timestamp: 2015-10-27 09:51:21
Author: ski
Committer: bugmaster
Details ] Diff ]
0016472: Improve environment scripts for samples

Output directory for binaries of CSharp samples was corrected.
Common run.bat was created for CSharp samples.
Behaviour of run.bat file from mfc samples was extended.

Recovered separate run_*.bat files for each sample in CSharp sample.
add - samples/CSharp/env.bat Diff ] File ]
mod - samples/CSharp/OCCTProxy/OCCTProxy.vcproj Diff ] File ]
mod - samples/CSharp/OCCTProxy/OCCTProxy.vcxproj Diff ] File ]
mod - samples/CSharp/OCCTProxy_D3D/OCCTProxy_D3D.vcproj Diff ] File ]
mod - samples/CSharp/OCCTProxy_D3D/OCCTProxy_D3D.vcxproj Diff ] File ]
add - samples/CSharp/run.bat Diff ] File ]
mod - samples/CSharp/run_winforms.bat Diff ] File ]
mod - samples/CSharp/run_wpf.bat Diff ] File ]
mod - samples/CSharp/run_wpf_D3D.bat Diff ] File ]
mod - samples/CSharp/WinForms/IE_WinForms.csproj Diff ] File ]
mod - samples/CSharp/WPF_D3D/IE_WPF_D3D.csproj Diff ] File ]
mod - samples/CSharp/WPF_WinForms/IE_WPF_WinForms.csproj Diff ] File ]
mod - samples/mfc/standard/run.bat Diff ] File ]
mod - samples/qt/IESample/genproj.bat Diff ] File ]
mod - samples/qt/Tutorial/genproj.bat Diff ] File ]

- Issue History
Date Modified Username Field Change
2007-07-02 17:50 abv CC => pdn
2007-07-02 17:50 abv OtherBugsDependingOnThis => 16470
2007-07-02 17:55 bugmaster Assigned To vtn => apv
2007-07-02 17:55 bugmaster Status new => assigned
2010-04-14 18:58 abv CC => kgv
2013-05-06 11:05 abv Assigned To apv => sdv
2014-01-11 11:58 abv Category OCCT Release:BUILD => OCCT:Coding
2015-10-14 12:03 abv Assigned To sdv => ski
2015-10-27 12:53 git Note Added: 0047477
2015-10-27 15:07 ski Note Added: 0047489
2015-10-27 15:54 ski Note Added: 0047492
2015-10-27 15:54 ski Assigned To ski => kgv
2015-10-27 15:54 ski Status assigned => resolved
2015-10-27 15:54 ski Steps to Reproduce Updated View Revisions
2015-10-28 09:23 kgv Assigned To kgv => abv
2015-10-28 09:23 kgv Fixed in Version EMPTY =>
2015-10-28 09:23 kgv Target Version => 7.0.0
2015-10-28 09:23 kgv Description Updated View Revisions
2015-12-14 10:49 abv Note Added: 0049078
2015-12-14 10:49 abv Assigned To abv => ski
2015-12-14 10:49 abv Status resolved => assigned
2015-12-14 17:26 git Note Added: 0049112
2015-12-14 17:38 ski Note Added: 0049116
2015-12-14 17:38 ski Assigned To ski => abv
2015-12-14 17:38 ski Status assigned => resolved
2015-12-14 22:29 abv Note Added: 0049125
2015-12-14 22:29 abv Assigned To abv => bugmaster
2015-12-14 22:29 abv Status resolved => reviewed
2015-12-16 21:22 bugmaster Status reviewed => tested
2015-12-18 15:25 bugmaster Changeset attached => occt master f4264b5a
2015-12-18 15:25 bugmaster Status tested => verified
2015-12-18 15:25 bugmaster Resolution open => fixed
2016-04-17 13:54 git Note Added: 0052974
2016-04-20 15:43 aiv Fixed in Version => 7.0.0
2016-04-20 15:50 aiv Status verified => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker